name: linux
version: 5.11
sources:
	- https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-%{version}.tar.xz
	- config
build-dependances:
	- flex
	- bison
	- perl

options:
	# WARNING: this has to be the same environment variables used
	#          during the creation of the config file
	- make: CC=clang LD=ld.lld AR=llvm-ar NM=llvm-nm STRIP=llvm-strip OBJCOPY=llvm-objcopy OBJDUMP=llvm-objdump READELF=llvm-readelf HOSTCC=clang HOSTCXX=clang++ HOSTAR=llvm-ar HOSTLD=ld.lld

@configure
	cd '%{name}-%{version}'
	make mrproper
	cp ../config .config

@install
	cd 'linux-%{version}'
	mkdir -p '%{pkg}/usr' '%{pkg}/boot' '%{pkg}/usr/src'

	cp arch/x86/boot/bzImage '%{pkg}/boot/bzImage-%{version}'
	make headers_install ARCH=x86_64 INSTALL_HDR_PATH='%{pkg}/usr'

	# Installing sources for linux-src.
	make distclean
	cd ..
	# FIXME: Maybe a new extraction would be better?
	mv  'linux-%{version}' '%{pkg}/usr/src'

%split linux-src
	files:
		- /usr/src

